/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.client.shared.model;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Domenico Nardi Tironi
 *
 */
public class GaugeInfoObject implements Serializable {

    private static final long serialVersionUID = 1L;

    private String name;
    private String errorMsg;
    private Date startdate;
    private Date enddate; // no final, because Serializable demands for empty constructor and I don't want to set default values

    public GaugeInfoObject() {

    }

    public GaugeInfoObject(final String name, final String errorMsg, final Date startdate, final Date enddate) {
        this.name = name;
        this.errorMsg = errorMsg;
        this.startdate = startdate;
        this.enddate = enddate;
    }

    public Date getStartdate() {
        return this.startdate;
    }

    public Date getEnddate() {
        return this.enddate;
    }

    public String getName() {
        return this.name;
    }

    public String getErrorMsg() {
        return this.errorMsg;
    }
}
